You are not logged in.

#1 2012-09-24 10:19:01

wwwhizz
Member
Registered: 2012-09-24
Posts: 5

Cannot install kile due to invalid signatures?

I'm used to ubuntu and Ubuntu Server, but Arch is new to me. I've installed Arch Linux last week, so far I like it a lot. However, pacman seems unable to install kile (the latex-editor from KDE) for some reason...

[whizz@Arch etc]$ sudo pacman -S kile
resolving dependencies...
:: There are 3 providers available for phonon-backend:
:: Repository extra
   1) phonon-gstreamer  2) phonon-vlc
:: Repository archlinuxfr
   3) phonon-mplayer-git

Enter a number (default=1): 2
looking for inter-conflicts...

Targets (42): aspell-0.60.6.1-1  attica-0.4.1-1  boost-libs-1.50.0-2  cifs-utils-5.6-2  docbook-xsl-1.77.1-2  enchant-1.6.0-4  exiv2-0.23-1  grantlee-0.2.0-1  hspell-1.2-1  icu-49.1.2-2  ilmbase-1.0.2-1  kactivities-4.9.1-1  kdebase-katepart-4.9.1-1
              kdebase-runtime-4.9.1-1  kdelibs-4.9.1-1  libcap-ng-0.7-1  libdbusmenu-qt-0.9.2-1  libiodbc-3.52.8-1  libqzeitgeist-0.8.0-2  libssh-0.5.2-1  libwbclient-3.6.8-1  media-player-info-17-1  nepomuk-core-4.9.1-1  openexr-1.7.0-2  oxygen-icons-4.9.1-1
              phonon-1:4.6.0-2  phonon-vlc-0.6.0-1  polkit-qt-0.103.0-1  qca-2.0.3-2  qtwebkit-2.2.2-1  raptor-2.0.8-1  rasqal-1:0.9.29-1  redland-1:1.0.15-3  redland-storage-virtuoso-1:1.0.15-3  shared-desktop-ontologies-0.10.0-1  smbclient-3.6.8-1  soprano-2.8.0-2
              strigi-0.7.7-2  talloc-2.0.7-1  unixodbc-2.3.1-1  virtuoso-base-6.1.6-1  kile-2.1.2-1

Total Download Size:    58.16 MiB
Total Installed Size:   387.07 MiB

Proceed with installation? [Y/n] 
:: Retrieving packages from extra...
 icu-49.1.2-2-x86_64                                                                                                                        5.2 MiB  5.92M/s 00:01 [#####################################################################################################] 100%
 boost-libs-1.50.0-2-x86_64                                                                                                              1797.8 KiB  7.04M/s 00:00 [#####################################################################################################] 100%
 raptor-2.0.8-1-x86_64                                                                                                                    243.2 KiB  8.18M/s 00:00 [#####################################################################################################] 100%
 rasqal-1:0.9.29-1-x86_64                                                                                                                 240.6 KiB  8.05M/s 00:00 [#####################################################################################################] 100%
 redland-1:1.0.15-3-x86_64                                                                                                                184.7 KiB  9.93M/s 00:00 [#####################################################################################################] 100%
 aspell-0.60.6.1-1-x86_64                                                                                                                 601.7 KiB  7.41M/s 00:00 [#####################################################################################################] 100%
 hspell-1.2-1-x86_64                                                                                                                      647.0 KiB  7.39M/s 00:00 [#####################################################################################################] 100%
 enchant-1.6.0-4-x86_64                                                                                                                    35.7 KiB  26.3M/s 00:00 [#####################################################################################################] 100%
 phonon-vlc-0.6.0-1-x86_64                                                                                                                 69.3 KiB  3.80M/s 00:00 [#####################################################################################################] 100%
 nepomuk-core-4.9.1-1-x86_64                                                                                                              678.9 KiB  7.50M/s 00:00 [#####################################################################################################] 100%
 talloc-2.0.7-1-x86_64                                                                                                                     39.3 KiB  18.9M/s 00:00 [#####################################################################################################] 100%
 libwbclient-3.6.8-1-x86_64                                                                                                                19.1 KiB  15.6M/s 00:00 [#####################################################################################################] 100%
 libcap-ng-0.7-1-x86_64                                                                                                                    30.1 KiB  9.66M/s 00:00 [#####################################################################################################] 100%
 cifs-utils-5.6-2-x86_64                                                                                                                   45.6 KiB  26.7M/s 00:00 [#####################################################################################################] 100%
 smbclient-3.6.8-1-x86_64                                                                                                                   7.7 MiB  7.06M/s 00:01 [#####################################################################################################] 100%
 libssh-0.5.2-1-x86_64                                                                                                                    109.5 KiB  10.1M/s 00:00 [#####################################################################################################] 100%
 oxygen-icons-4.9.1-1-any                                                                                                                  27.9 MiB  7.02M/s 00:04 [#####################################################################################################] 100%
 kactivities-4.9.1-1-x86_64                                                                                                               154.5 KiB  6.44M/s 00:00 [#####################################################################################################] 100%
 kdebase-runtime-4.9.1-1-x86_64                                                                                                             6.8 MiB  6.99M/s 00:01 [#####################################################################################################] 100%
 kdebase-katepart-4.9.1-1-x86_64                                                                                                         1218.7 KiB  7.05M/s 00:00 [#####################################################################################################] 100%
 kile-2.1.2-1-x86_64                                                                                                                        4.6 MiB  7.05M/s 00:01 [#####################################################################################################] 100%
(42/42) checking package integrity                                                                                                                                 [#####################################################################################################] 100%
error: exiv2: signature from "Eric Belanger <eric@archlinux.org>" is invalid
error: strigi: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is invalid
error: attica: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is invalid
error: unixodbc: signature from "Andreas Radke <andyrtr@archlinux.org>" is invalid
error: redland-storage-virtuoso: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is invalid
error: libiodbc: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is invalid
error: virtuoso-base: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is invalid
error: soprano: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is invalid
error: grantlee: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is invalid
error: shared-desktop-ontologies: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is invalid
error: qca: signature from "Pierre Schmitz <pierre@archlinux.de>" is invalid
error: libdbusmenu-qt: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is invalid
error: polkit-qt: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is invalid
error: ilmbase: signature from "Rémy Oudompheng <remy@archlinux.org>" is invalid
error: openexr: signature from "Tobias Powalowski <tobias.powalowski@googlemail.com>" is invalid
error: docbook-xsl: signature from "Tom Gundersen <teg@jklm.no>" is invalid
error: libqzeitgeist: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is invalid
error: phonon: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is invalid
error: qtwebkit: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is invalid
error: media-player-info: signature from "Ionut Biru <ibiru@archlinux.org>" is invalid
error: kdelibs: signature from "Andrea Scarpino (Arch Linux) <andrea@archlinux.org>" is invalid
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

After searching around a bit, I found http://www.archlinux.org/news/having-pa … -packages/
I tried that, but I think it doesn't apply to me, as I've installed Arch just last week. Running

pacman-key --init
pacman-key --populate archlinux

does not give me pacman.conf.pacnew, as I think is to be expected as I already started with an up to date pacman, right?

The contents of my pacman.conf are here: http://pastie.org/private/w5iwbcwknmaiffhxchzekq

I tried throwing away the packages with "pacman -Sc kile" and reinstalling with "pacman -S kile", same result.
Any ideas how to resolve this issue?

(Probably unrelated, but I'm running Arch in a VirtualBox, with xfce, Linux version 3.5.4-1-ARCH)

Offline

#2 2012-09-24 10:34:31

mzneverdies
Member
Registered: 2012-02-04
Posts: 147

Re: Cannot install kile due to invalid signatures?

I would try

pacman-key --init
pacman-key --populate archlinux

doesn't harm to try smile

pd: if you try to repopulate pacman-key, run on a parallel terminal "find /", and cancel it (control c) after pacman-key ends

Offline

#3 2012-09-24 11:36:33

wwwhizz
Member
Registered: 2012-09-24
Posts: 5

Re: Cannot install kile due to invalid signatures?

As I said, I already tried that, but that does not result in a pacman.conf.pacnew,as I think is to be expected...
I just retried, but still the same problem.

Offline

#4 2012-09-24 11:52:33

mzneverdies
Member
Registered: 2012-02-04
Posts: 147

Re: Cannot install kile due to invalid signatures?

hmm, usually pacman-key fixes that sort of things.
i've found this post https://bbs.archlinux.org/viewtopic.php?id=128885
last testdude281's entry says

I solved it. The key wasnt the problem, the package was corrupt. I deleted the package and upgrade went smoothly.

so maybe the package is actually corrupted? no idea, i'm not such a pacman expert smile

Offline

#5 2012-09-24 12:09:36

wwwhizz
Member
Registered: 2012-09-24
Posts: 5

Re: Cannot install kile due to invalid signatures?

Thanks! That solved it smile I just cleared the whole /var/cache/pacman/pkg folder, the "cached" files in there were 0 bytes...

If someone needs it:

# rm /var/cache/pacman/pkg/*

No harm in deleting these files, it's just a cache, pacman makes you download them again if you remove them.

Last edited by wwwhizz (2012-09-24 12:10:55)

Offline

#6 2012-09-24 12:14:03

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 5,363

Re: Cannot install kile due to invalid signatures?

"pacman -Scc" would have done the job too. smile


Sakura:-
Mobo: ASUS P8Z77-V PRO // Processor: Intel Core i7-3770K 3.4GHz // GFX: nVidia GeForce GTX 970 Ti // RAM: 32GB (4x 8GB) Corsair DDR3 (@ 2133MHz) // Storage: 1x 3TB Seagate SATAII 5x 1TB Samsung SATAII, 2x 120GB Corsair SSD

Offline

#7 2012-09-24 12:17:55

wwwhizz
Member
Registered: 2012-09-24
Posts: 5

Re: Cannot install kile due to invalid signatures?

Ahh, yes, thanks. Note that the Arch Wiki has a warning about clearing your cache:
Warning: This clears out the entire package cache. Doing this is considered a bad practice, because if you ever need to downgrade something, you will not be able to do so right from the cache folder. You will probably have to use the Arch Rollback Machine.

Last edited by wwwhizz (2012-09-24 12:18:05)

Offline

#8 2012-09-24 12:23:28

karol
Archivist
Registered: 2009-05-06
Posts: 25,430

Re: Cannot install kile due to invalid signatures?

1. You should run 'pacman -Sc' not 'pacman -Sc foo'. 'foo' doesn't do anything here (no harm either) as 'pacman -Sc' doesn't take arguments.
2. The issue you faced has been covered in https://wiki.archlinux.org/index.php/Pa … 9.22_error (next to last question) yet people keep banging their heads against it. Have you read the 'Troubleshooting' part of Arch wiki article on pacman? Was there anything unclear? Maybe we can phrase it better?

Offline

#9 2012-09-24 12:55:47

wwwhizz
Member
Registered: 2012-09-24
Posts: 5

Re: Cannot install kile due to invalid signatures?

karol wrote:

1. You should run 'pacman -Sc' not 'pacman -Sc foo'. 'foo' doesn't do anything here (no harm either) as 'pacman -Sc' doesn't take arguments.
2. The issue you faced has been covered in https://wiki.archlinux.org/index.php/Pa … 9.22_error (next to last question) yet people keep banging their heads against it. Have you read the 'Troubleshooting' part of Arch wiki article on pacman? Was there anything unclear? Maybe we can phrase it better?

I did not have *.part files, only 0-byte-files with the correct name, so that solution does not apply to my problem. Besides, the problem I had was that pacman said "Signature from "User <email@gmail.com>" is unknown trust, installation failed", so I tried the solution above the one you mentioned, which failed. As soon as I understood something was wrong with my cached files, it was solved quite easily.

Offline

#10 2012-09-24 13:58:28

karol
Archivist
Registered: 2009-05-06
Posts: 25,430

Re: Cannot install kile due to invalid signatures?

wwwhizz wrote:

Besides, the problem I had was that pacman said "Signature from "User <email@gmail.com>" is unknown trust, installation failed"

In your case it says

signature from "User <email@gmail.com>"  is invalid

I don't remember if 'invalid' is the same as 'unknown trust'.
The last lines of your error message are:

error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

thus I'd say it's a "failed to commit transaction (invalid or corrupted package)" error.

Offline

Board footer

Powered by FluxBB